Skip to main content
GET
/
v3
/
{customerId}
/
BankingServices
/
GetAccountsSummaryAsync
/
{requestId}
Get Accounts Summary Async
curl --request GET \
  --url https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetAccountsSummaryAsync/{requestId} \
  --header 'Content-Type: <content-type>'
import requests

url = "https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetAccountsSummaryAsync/{requestId}"

headers = {"Content-Type": "<content-type>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Content-Type': '<content-type>'}};

fetch('https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetAccountsSummaryAsync/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "HttpStatusCode": 123,
  "Accounts": [
    {
      "EftEligibleRatio": 123,
      "ETransferEligibleRatio": 123,
      "Title": "<string>",
      "AccountNumber": "<string>",
      "LastFourDigits": "<string>",
      "Balance": {
        "Available": 123,
        "Current": 123,
        "Limit": "<string>"
      },
      "Category": "<string>",
      "Type": "<string>",
      "Currency": "<string>",
      "Holder": {
        "Name": "<string>",
        "Address": {
          "CivicAddress": "<string>",
          "City": "<string>",
          "Province": "<string>",
          "PostalCode": "<string>",
          "POBox": "<string>",
          "Country": "<string>"
        },
        "Email": "<string>",
        "PhoneNumber": "<string>"
      },
      "Id": "<string>"
    }
  ],
  "Login": {
    "Username": "<string>",
    "IsScheduledRefresh": true,
    "LastRefresh": "<string>",
    "Type": "<string>",
    "Id": "<string>"
  },
  "Institution": "<string>",
  "RequestId": "<string>"
}
{
"FlinksCode": "OPERATION_PENDING",
"Links": [
{
"rel": "GetAccountsSummaryAsync",
"href": "/GetAccountsSummaryAsync",
"example": "/GetAccountsSummaryAsync/077785a3-fd0f-42f7-9251-ee2ff7f3b4ff"
}
],
"HttpStatusCode": 202,
"Message": "Your operation is still processing",
"RequestId": "077785a3-fd0f-42f7-9251-ee2ff7f3b4ff"
}
{
"HttpStatusCode": 400,
"Message": "RequestId 1df20baf-65d5-40ee-9be0-8058c13042e2 is invalid or session has ended",
"FlinksCode": "SESSION_NONEXISTENT"
}
Use the GetAccountsSummaryAsync endpoint to get pending requests from /GetAccountsSummary. To successfully call this endpoint, you must first call the Authorize endpoint to obtain a valid requestId.

Checking if the request is still pending

When you receive a 202 HTTPS response from /GetAccountsSummary stating that your request is still pending, you must call the /GetAccountsSummaryAsync endpoint every 10 seconds to check if the data is finished processing for a maximum of 30 minutes. Your request will likely take a few seconds to process, but setting a 30 minute timeout avoids infinite loops of this request.

Receiving the data after it’s processed

You’ll get a 200 HTTP response when the data is finished processing. The API delivers the data to you as a JSON payload in a standard format, and your servers can start to handle it in the way that your use case is set up to.

Headers

x-api-key
string

Security feature that grants access to this endpoint.

Content-Type
string
default:application/json
required

Content type of the request.

Example:

"application/json"

Path Parameters

customerId
string
default:43387ca6-0391-4c82-857d-70d95f087ecb
required

Unique GUID provided by Flinks.

requestId
string
required

Unique identifier provided after a successful request to the Authorize endpoint.

Response

Result

HttpStatusCode
integer
Accounts
object[]
Login
object
Institution
string
RequestId
string